v1.0
get
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/regions/countries/history
Get list of countries and states with hidden flag associated to a region
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
fromDate(required): string
Pattern:
^\d{4}-\d{2}-\d{2}$Date after which the records have to be fetched for a GET API.Example:2026-01-01 -
limit(required): integer(int32)
Minimum Value:
0Maximum Value:1000Maximum number of records to return in the response.Example:25 -
offset(required): integer(int32)
Minimum Value:
0Starting offset for paginated responses.Example:0 -
order(required): string
Sort order direction. Allowed values: asc (ascending), desc (descending), ASC (ascending), DESC (descending).Allowed Values:
[ "asc", "desc", "ASC", "DESC" ]Example:asc -
regionId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Unique ID for a given region.Example:C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
403 Response
Returned when the caller is authenticated but does not have permission to access this endpoint.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples